"""
$Id: toolbox.py,v 1.2 2004/12/28 10:38:36 pjgrizel Exp $
"""

__author__  = ''
__docformat__ = 'restructuredtext'

# Python imports
from StringIO import StringIO

# CMF imports
from Products.CMFCore.utils import getToolByName

# Products imports
from Products.PloneArticle.migration.Migrator import change_text_mimetype

def unindex_plonearticle_contents(self, portal_types=None):
    """Unindex contents in PloneArticle"""
    out = StringIO()
    cat_tool = getToolByName(self, 'portal_catalog')
    
    if portal_types is None:
        portal_types = 'PloneArticle'
    
    article_brains = cat_tool(portal_type=portal_types)
    
    for article_brain in article_brains:
        article = article_brain.getObject()
        
        for obj in article.objectValues():
            cat_tool.unindexObject(obj)
        
    out.write('Catalog rebuilt.\n')
    return out.getvalue()
